summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichele Calgaro <michele.calgaro@yahoo.it>2022-05-12 00:35:50 +0900
committerMichele Calgaro <michele.calgaro@yahoo.it>2022-05-12 00:35:50 +0900
commit099e4f4e5d79c1e3ea5d8f94e79d4d209532cff0 (patch)
tree6efc0a94eed95cfd4b88ef655dbf9243df0f1ec8
parent6de7a8df7951d93898fc46aab4af9a81958b8906 (diff)
downloadtde-packaging-099e4f4e.tar.gz
tde-packaging-099e4f4e.zip
DEB build scripts: fixed wrong 'successful build' feedback when required dependencies were missing in a local build.
Signed-off-by: Michele Calgaro <michele.calgaro@yahoo.it>
-rwxr-xr-xdebian/_buildscripts/local/build_module.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/debian/_buildscripts/local/build_module.sh b/debian/_buildscripts/local/build_module.sh
index 920e49716..94fdab76a 100755
--- a/debian/_buildscripts/local/build_module.sh
+++ b/debian/_buildscripts/local/build_module.sh
@@ -484,8 +484,8 @@ if [ "$bool_BUILD_LOCALLY" = "y" ]; then
build_retval=$?
if [ $build_retval -eq 0 ]; then
eval dpkg-buildpackage -b $OPT_SIGN_PKG_LOCAL $OPT_SHOW_LOGS\"$BUILDING_LOG_FILE\"
+ build_retval=$?
fi
- build_retval=$?
else
## Build module in a clean chroot environment using pbuilder
$SUDO_CMD . "$SCRIPT_DIR/internals/_pbuilder.sh"